Package picard.flow

# Class FlowBasedRead

java.lang.Object
picard.flow.FlowBasedRead

public class FlowBasedRead extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MAX_CLASS`
`static final String`
`MAX_CLASS_READ_GROUP_TAG`

## Constructor Summary

Constructors
Constructor
Description
`FlowBasedRead(htsjdk.samtools.SAMRecord samRecord, String flowOrder, int maxHmer, FlowBasedArgumentCollection fbargs)`
Same as above but constructs from SAMRecord

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getKey()`
`int`
`getMaxHmer()`
`int`
`getNFlows()`
`double`
`getProb(int flow, int hmer)`
get a specific cell from the flow matrix.
`String`
`getReadName()`
`boolean`
`isValid()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAX_CLASS

public static final int MAX_CLASS

See Also:
  - Constant Field Values

### MAX_CLASS_READ_GROUP_TAG

public static final String MAX_CLASS_READ_GROUP_TAG

See Also:
  - Constant Field Values

## Constructor Details

### FlowBasedRead

public FlowBasedRead(htsjdk.samtools.SAMRecord samRecord, String flowOrder, int maxHmer, FlowBasedArgumentCollection fbargs)
Same as above but constructs from SAMRecord

Parameters:
  `samRecord` - record from SAM file
  `flowOrder` - flow order (single cycle)
  `maxHmer` - maximal hmer to keep in the flow matrix
  `fbargs` - arguments that control resoltion of the flow matrix

## Method Details

### getMaxHmer

public int getMaxHmer()

### getNFlows

public int getNFlows()

### isValid

public boolean isValid()

### getProb

public double getProb(int flow, int hmer)
get a specific cell from the flow matrix. Each cell contains the probability for an hmer of the given length to appear the given position in the flow key

Parameters:
  `flow` - - position in the flow key (index into key[])
  `hmer` - - length of the hmer
Returns:

### getKey

public int[] getKey()

### getReadName

public String getReadName()